GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Namespace List
- Namespace Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- y

Here is a list of all namespace members with links to the namespace documentation for each member:

### - a -

- AEComp : gdcm
- ASComp : gdcm
- Attribute : gdcm::terminal

### - b -

- backslash() : gdcm
- black : gdcm::terminal
- blink : gdcm::terminal
- blue : gdcm::terminal
- BOOL_FUNCTION_PFILE_PFILE_POINTER : gdcm
- bright : gdcm::terminal

### - c -

- cMaxEventID : gdcm::network
- cMaxStateID : gdcm::network
- Color : gdcm::terminal
- CompOperators : gdcm
- CONSOLE : gdcm::terminal
- CSComp : gdcm
- cyan : gdcm::terminal

### - d -

- DAComp : gdcm
- dim : gdcm::terminal
- DTComp : gdcm

### - e -

- eAABORTPDUReceivedOpen : gdcm::network
- eAABORTRequest : gdcm::network
- eAASSOCIATE_RQPDUreceived : gdcm::network
- eAASSOCIATERequestLocalUser : gdcm::network
- eAASSOCIATEresponseAccept : gdcm::network
- eAASSOCIATEresponseReject : gdcm::network
- eArabic : gdcm
- eARELEASE_RPPDUReceived : gdcm::network
- eARELEASE_RQPDUReceivedOpen : gdcm::network
- eARELEASERequest : gdcm::network
- eARELEASEResponse : gdcm::network
- eARTIMTimerExpired : gdcm::network
- eASSOCIATE_ACPDUreceived : gdcm::network
- eASSOCIATE_RJPDUreceived : gdcm::network
- ECharSet : gdcm
- eCyrillic : gdcm
- eEventDoesNotExist : gdcm::network
- EEventID : gdcm::network
- eFind : gdcm
- eGB18030 : gdcm
- eGreek : gdcm
- eHebrew : gdcm
- eImageOrFrame : gdcm
- eJapanese : gdcm
- eJapaneseKanjiMultibyte : gdcm
- eJapaneseSupplementaryKanjiMultibyte : gdcm
- eKoreanHangulHanjaMultibyte : gdcm
- eLatin1 : gdcm
- eLatin2 : gdcm
- eLatin3 : gdcm
- eLatin4 : gdcm
- eLatin5 : gdcm
- eMove : gdcm
- ePatient : gdcm
- ePatientRootType : gdcm
- ePDATArequest : gdcm::network
- ePDATATFPDU : gdcm::network
- EQueryLevel : gdcm
- EQueryType : gdcm
- ERootType : gdcm
- eSeries : gdcm
- eSta10ReleaseCollisionAc : gdcm::network
- eSta11ReleaseCollisionRq : gdcm::network
- eSta12ReleaseCollisionAcLocal : gdcm::network
- eSta13AwaitingClose : gdcm::network
- eSta1Idle : gdcm::network
- eSta2Open : gdcm::network
- eSta3WaitLocalAssoc : gdcm::network
- eSta4LocalAssocDone : gdcm::network
- eSta5WaitRemoteAssoc : gdcm::network
- eSta6TransferReady : gdcm::network
- eSta7WaitRelease : gdcm::network
- eSta8WaitLocalRelease : gdcm::network
- eSta9ReleaseCollisionRqLocal : gdcm::network
- eStaDoesNotExist : gdcm::network
- EStateID : gdcm::network
- eStudy : gdcm
- eStudyRootType : gdcm
- eThai : gdcm
- eTransportConnConfirmLocal : gdcm::network
- eTransportConnectionClosed : gdcm::network
- eTransportConnIndicLocal : gdcm::network
- eUnrecognizedPDUReceived : gdcm::network
- eUTF8 : gdcm

### - f -

- FileList : gdcm

### - g -

- GDCM_DIFFERENT : gdcm
- GDCM_EQUAL : gdcm
- GDCM_GREATER : gdcm
- GDCM_GREATEROREQUAL : gdcm
- GDCM_LESS : gdcm
- GDCM_LESSOREQUAL : gdcm
- GetStateIndex() : gdcm::network
- GetVRFromTag() : gdcm
- GlobalInstance : gdcm
- green : gdcm::terminal

### - h -

- hidden : gdcm::terminal

### - i -

- IconImage : gdcm

### - l -

- LD_ALL : gdcm
- LD_NOSEQ : gdcm
- LD_NOSHADOW : gdcm
- LD_NOSHADOWSEQ : gdcm
- LOComp : gdcm
- LodModeType : gdcm
- LTComp : gdcm

### - m -

- MacroEntry : gdcm
- magenta : gdcm::terminal
- Mode : gdcm::terminal

### - n -

- NestedMacroEntries : gdcm

### - o -

- operator!=() : gdcm
- operator<<() : gdcm
- operator==() : gdcm
- operator>>() : gdcm

### - p -

- PNComp : gdcm

### - r -

- red : gdcm::terminal
- reset : gdcm::terminal
- reverse : gdcm::terminal

### - s -

- setattribute() : gdcm::terminal
- setbgcolor() : gdcm::terminal
- setfgcolor() : gdcm::terminal
- setmode() : gdcm::terminal
- SHComp : gdcm
- STComp : gdcm

### - t -

- TMComp : gdcm
- to_string() : gdcm
- TYPETOENCODING() : gdcm

### - u -

- UIComp : gdcm
- underline : gdcm::terminal
- UTComp : gdcm

### - v -

- VRBINARY : gdcm
- VT100 : gdcm::terminal

### - w -

- white : gdcm::terminal

### - y -

- yellow : gdcm::terminal